import { ExposedFlag, SettingPath } from '../types';
import { Models } from './readers/SettingsDBReader';
export declare const getKeysByFlag: (flag: ExposedFlag) => string[];
export declare class ReadSettings<Path = SettingPath> {
    models: Models;
    facilityId?: string;
    constructor(models: Models, facilityId?: string);
    get<T extends string | number | object>(key: Path): Promise<T>;
    getFrontEndSettings(): Promise<Pick<{
        [x: string]: string | number | object;
    }, string>>;
    getPatientPortalSettings(): Promise<Pick<{
        [x: string]: string | number | object;
    }, string>>;
    getAll(): Promise<{
        [x: string]: string | number | object;
    }>;
}
